## org.xmldb.api.base
Interface ResourceIterator

All Known Implementing Classes:
  RemoteResourceIterator

public interface ResourceIterator

ResourceIterator is used to iterate over a set of resources.

Method Summary
`boolean` `hasMoreResources()` Returns true as long as there are still more resources to be iterated.
`Resource` `nextResource()` Returns the next `Resource` instance in the iterator.

Method Detail

### hasMoreResources

    public boolean hasMoreResources()
                             throws XMLDBException

  Returns true as long as there are still more resources to be iterated.

  Returns:
    true if there are more resources to iterate, false otherwise.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### nextResource

    public Resource nextResource()
                          throws XMLDBException

  Returns the next `Resource` instance in the iterator.

  Returns:
    the next `Resource` instance in the iterator.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.
    `ErrorCodes.NO_SUCH_RESOURCE` if the resource iterator is empty or all resources have already been retrieved.

Copyright (C) Wolfgang Meier. All rights reserved.